#!/bin/bash
# Copyright © 2019 Collabora Ltd.
# SPDX-License-Identifier: BSD-3-Clause
# (See debian/copyright)

set -e
set -u
set -x

# Assert that Java 8 is the default Java

echo "1..1"

case "$(java -version 2>&1)" in
    (*version\ \"1.8.*)
        # OK
        ;;

    (*version\ \"1.7.*)
        echo "not ok 1 - Unsupported Java version"
        java -version
        exit 1
        ;;

    (*)
        echo "not ok 1 - Could not parse Java version"
        java -version
        exit 1
        ;;
esac

echo "ok 1"

# vim:set sw=4 sts=4 et ft=sh:
